Bug 73157 - nscd crashes often and therefore fills up logfiles
nscd crashes often and therefore fills up logfiles
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: nscd (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks: 73288 73681
  Show dependency treegraph
 
Reported: 2002-08-31 08:00 EDT by Petri T. Koistinen
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-31 09:51:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of 'ps fax' command. (48.14 KB, text/plain)
2002-08-31 08:27 EDT, Petri T. Koistinen
no flags Details
Few seconds log of /var/log/messages (829.47 KB, text/plain)
2002-08-31 08:29 EDT, Petri T. Koistinen
no flags Details

  None (edit)
Description Petri T. Koistinen 2002-08-31 08:00:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
We are running Red Hat 7.3 and we have installed also Novell eDirectory 8.5.

Novell eDirectory purpose is to allow users to log in to the GNU/Linux-system
with same useraccounts and passwords that they log in to the MS/Windows-system.

Novell eDirectory is huge and buggy software, in my opinion, or we just got
wrong default settings. Anyway, this eDirectory product will make considerable
amount of DNS lookups to manage their weird replicas and so on.

These lookups are very slow if nscd-program is not running.  Novell recommends,
if not mandate, to use this program. Unfortunately we have found out that nscd
is very buggy product. It will crash very often. 

In fact in our root's crontab reads:
*/2 * * * * /etc/init.d/nscd stop >/dev/null ; /etc/init.d/nscd start >/dev/null

Otherwise the system will not survive. Running the system without nscd is like
swimming in tar.

This leads to another problem, defunct nscd-processes fills the ps-listing. See
ps-listing
attachments. The running versions of buggy nscd also fills up the
/var/logs/messages file. See
messages-attachment.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Novell eDirectory
2. Have nightmares.

Actual Results:  Terrible system performance, huge logs and lot's of defunct
processes.

Expected Results:  Smooth operation with reasonable system resource consumption.

Additional info:

Feel free to ask, I will provide all information you need. Even remote access to
system might be possible to manage.
Comment 1 Petri T. Koistinen 2002-08-31 08:27:43 EDT
Created attachment 74244 [details]
Output of 'ps fax' command.
Comment 2 Petri T. Koistinen 2002-08-31 08:29:35 EDT
Created attachment 74245 [details]
Few seconds log of /var/log/messages
Comment 3 Petri T. Koistinen 2002-08-31 09:13:45 EDT
The log file is /var/log/messages, not /var/logs/messages. Sorry.
Comment 4 Petri T. Koistinen 2002-08-31 17:53:25 EDT
Changed crontab to: 

*/2 * * * * /etc/init.d/nscd stop >/dev/null ; killall -9 nscd 2>/dev/null ;
/etc/init.d/nscd start >/dev/null

as a work around.
Comment 5 Petri T. Koistinen 2002-08-31 17:55:14 EDT
That's all in one line, but bugzilla does the line warping.
Comment 6 Petri T. Koistinen 2002-09-01 09:36:28 EDT
This kludge helps quite lot, no more defunct prosesses and no more huge messages
log. Still nscd stability is a problem. Now I need to figure out how often nscd
should be restarted and how many threads should I start.
Comment 7 Petri T. Koistinen 2002-09-07 05:08:35 EDT
Files /var/nds/dib/_ndsdb.ini and /nds/dib/_ndsdb.ini now contains following
setup and no other text:

cache=HARD,%:60,MIN:32000000,LEAVE:32000000

This helps with system speed, but I don't know if it's the optimal setup.
Comment 8 Petri T. Koistinen 2002-09-12 12:43:40 EDT
I installed BIND with caching-nameserver settings few days ago. It helps, but 
nscd is still unstable according what I have heard from another administator.
Comment 9 Petri T. Koistinen 2002-10-31 09:51:48 EST
Novell sucks. We removed eDirectory. Problem solved, I hope so.

Note You need to log in before you can comment on or make changes to this bug.